<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class MfmParameter extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'mfm_meter_id',
        'device_master_id',
        'name',
		'register_id',
        'identifier',
        'byte_to_convert',
		'type_to_convert',
		'decimal_to_display',
        'created_at',
		'updated_at',
		'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function mfmMeter(): BelongsTo
    {
        return $this->belongsTo(MfmMeter::class, 'mfm_meter_id');
    }

    public function deviceName(): BelongsTo
    {
        return $this->belongsTo(DeviceMaster::class, 'device_master_id');
    }
}
